﻿using System.Collections.Generic;
using System.Web.Mvc;
using WojciechFialkiewicz.Models;
using WojciechFialkiewicz.Utils;

namespace WojciechFialkiewicz.Controllers
{
    public class StatisticsController : Controller
    {
        // GET: Statistics
        public ActionResult Index()
        {
            NameWithNumbers nwn = new NameWithNumbers();
            List<NameWithNumbers> names = new List<NameWithNumbers>();
            List<FileWithNumbers> fwn = FilesReader.GetFilesWithNumbers();
           
            foreach(FileWithNumbers f in fwn)
            {
                NameWithNumbers name = new NameWithNumbers();

                name.Name = f.Name;
                name.AllVisits = f.AllVisits;
                name.UniqueVisitors = f.UniqueVisitors;

                names.Add(name);
            }
            return View(names);
        }
    }
}